Ana içeriğe atla
GET
/
v1
/
music
/
generations
/
{id}
curl "https://api.lemondata.cc/v1/music/generations/music_abc123" \
  -H "Authorization: Bearer sk-your-api-key"
{
  "id": "suno:abc123",
  "status": "completed",
  "audio_url": "https://cdn.suno.ai/abc123.mp3",
  "video_url": "https://cdn.suno.ai/abc123.mp4",
  "title": "Night Drive",
  "lyrics": "[Verse 1]\nDriving through the night..."
}
Müzik oluşturma görevinizin durumunu kontrol etmek için bu endpoint’i sorgulayın.

Yol Parametreleri

id
string
gerekli
Müzik oluşturma görevi ID’si.

Yanıt

id
string
Görev ID’si.
status
string
Görev durumu: pending, processing, completed veya failed.
progress
integer
İlerleme yüzdesi (0-100).
audio_url
string
Ses dosyasını indirmek için URL (tamamlandığında).
video_url
string
Görselleştirici içeren video sürümünün URL’si (tamamlandığında).
title
string
Oluşturulan şarkı başlığı.
lyrics
string
Oluşturulan veya sağlanan şarkı sözleri.
error
string
Hata mesajı (başarısız olduğunda).
curl "https://api.lemondata.cc/v1/music/generations/music_abc123" \
  -H "Authorization: Bearer sk-your-api-key"
{
  "id": "suno:abc123",
  "status": "completed",
  "audio_url": "https://cdn.suno.ai/abc123.mp3",
  "video_url": "https://cdn.suno.ai/abc123.mp4",
  "title": "Night Drive",
  "lyrics": "[Verse 1]\nDriving through the night..."
}